Package twisted :: Package spread :: Module pb :: Class CopyableFailure |
[frames | no frames]

## Class CopyableFailure

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
              Failure --+
                        |
                       CopyableFailure

A `flavors.RemoteCopy` and `flavors.Copyable` version of `twisted.python.failure.Failure` for serialization.

Method Summary
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
Inherited from Failure
| ``__init__`(self, exc_value, exc_type, exc_tb)` Initialize me with an explanation of the error.
| ``__getstate__`(self)` Avoid pickling objects in the traceback.
| ``__repr__`(self)`
| ``__str__`(self)`
| ``check`(self, *errorTypes)`
| ``cleanFailure`(self)` Remove references to other objects, replacing them with strings.
| ``getBriefTraceback`(self)`
| ``getErrorMessage`(self)` Get a string of the exception which caused this Failure.
| ``getTraceback`(self)`
| ``printBriefTraceback`(self, file)` Print a traceback as densely as possible.
| ``printDetailedTraceback`(self, file)` Print a traceback with detailed locals and globals information.
| ``printTraceback`(self, file)` Emulate Python's standard error reporting mechanism.
| ``trap`(self, *errorTypes)` Trap this failure if its type is in a predetermined list.
Inherited from Copyable
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective.
| ``getTypeToCopy`(self)` Determine what type tag to send for me.
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me.
| ``jellyFor`(self, jellier)` Assemble type tag and state to copy for this broker.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Instance Variable Summary
Inherited from Failure
| `type`: The exception's class.
| `value`: The exception instance responsible for this failure.

Class Variable Summary
`int` | `unsafeTracebacks` = 0
Inherited from Failure
`int` | `pickled` = 0
`NoneType` | `stack` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### getStateToCopy(self) Gather state to send when I am serialized for a peer. I will default to returning self.__dict__. Override this to customize this behavior. Overrides: `twisted.spread.flavors.Copyable.getStateToCopy` (inherited documentation)

Class Variable Details

    ### unsafeTracebacks Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:55:11 2003 | http://epydoc.sf.net